
// NOTE: INCLUDE Environment variable must be set to headers path

#DEFINE WINVER NTDDI_WINXP

#DEFINE LINKFILES
#DEFINE LINKVCRT

#DEFINE CCUSEORDINALS

#include "WINDOWS.H"
#include "Commctrl.h"
#include "zlib.h"
#include "ocidl.h"
#include "macros.h"
#include "GDIPlus\gdiplus.h"

MAXSCANDEPTH	equ 65535

AUDIOINFO STRUCT
	Bitrate			DD	; Bitrate of audio
	Samplerate		DD	; Samplerate of audio
	IsVBR			DD	; VBR encoded (0 = no, 1 = yes)
	Length			DD	; Length of frame in milliseconds
	MPEGType		DD	; MPEG encoding type
	Layer			DD	; MPEG layer
	pStart			DD	; Start of audio header
	Original		DD	; Original Bit
	Private			DD	; Private flag
	Channels		DD	; Channel flag
	Copyright		DD	; Copyright Bit
	nFrames			DD	; Number of frames
	Emphasis		DD	; Emphasis
	Protected		DD	; Protection flag
	JointStereoEx	DD	; Joint stereo mode extension
ENDS

ID3TAGINFO STRUCT
	cbSIZE			DD	; Size of ID3 header
	Type			DD	; Tag type
	Ecrypted		DD	; Audio portion is encrypted = 1 else set to 0
	PicAttached		DD	; True = Picture is attached to file
	pAudioHeader	DD	; Offset of audio header
ENDS

ID3TAG STRUCT
	TIT2	DB 256 DUP (?)
	TALB	DB 256 DUP (?)
	COMM	DB 256 DUP (?)
	TPE1	DB 256 DUP (?)
	TCON	DB 256 DUP (?)
	TRCK	DB 256 DUP (?)
	TCOP	DB 256 DUP (?)
	TCOM	DB 256 DUP (?)
	TENC	DB 256 DUP (?)
	TDRC	DB 256 DUP (?) // Contains TYER for ID2V3 tags and TYE for ID2V2tags
	TOPE	DB 256 DUP (?)
	APIC	DD ? // Handle to album art bitmap
ENDS

;Main.dlg
IDD_DLG1				equ 1000
IDC_COVERART			equ 1001
IDC_GRP1				equ 1002
IDC_ARTIST				equ 1003
IDC_ALBUM				equ 1004
IDC_GENRE				equ 1005
IDC_TITLE				equ 1006
IDC_COMMENT				equ 1007
IDC_FILEOPEN			equ 1008
IDC_BTR_LABEL			equ 1009
IDC_SMPRT_LABEL			equ 1010
IDC_NFRMS_LABEL			equ 1011
IDC_LENGTH_LABEL		equ 1012
IDC_OFFSET_LABEL		equ 1013
IDC_TYPE_LABEL			equ 1014
IDC_LAYER_LABEL			equ 1015
IDC_CHAN_LABEL			equ 1016
IDC_CPYRT_LABEL			equ 1017
IDC_VBR_LABEL			equ 1018
IDC_BTR					equ 1019
IDC_SMPRT				equ 1020
IDC_NFRMS				equ 1021
IDC_LENGTH				equ 1022
IDC_OFFSET				equ 1023
IDC_TYPE				equ 1024
IDC_LAYER				equ 1025
IDC_CHAN				equ 1026
IDC_CPYRT				equ 1027
IDC_VBR					equ 1028
IDC_YEAR				equ 1034
IDC_COMMENT_LABEL		equ 1035
IDC_TAG					equ 1037